location.hpp File Reference
`#include <cmath>`
`#include <cstdint>`
`#include <iosfwd>`
`#include <stdexcept>`
`#include <string>`
`#include <iostream>`
`#include <osmium/util/compatibility.hpp>`
`#include <osmium/util/double.hpp>`
Include dependency graph for location.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::invalid_location
class | osmium::Location

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Functions

constexpr bool | osmium::operator== (const Location &lhs, const Location &rhs) noexcept
constexpr bool | osmium::operator!= (const Location &lhs, const Location &rhs) noexcept
constexpr bool | osmium::operator< (const Location &lhs, const Location &rhs) noexcept
constexpr bool | osmium::operator> (const Location &lhs, const Location &rhs) noexcept
constexpr bool | osmium::operator<= (const Location &lhs, const Location &rhs) noexcept
constexpr bool | osmium::operator>= (const Location &lhs, const Location &rhs) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const osmium::Location &location)